#!/usr/local/bin/perl -w
use strict; use Tk;

my $mw = MainWindow->new();;

my @menus;
my $PicDir = "~/udb/perl-tk/kap8dir/pics";
my $img1 = $mw->Bitmap(-file => "$PicDir/rectangle.xbm");
my $img2 = $mw->Bitmap(-file => "$PicDir/circle.xbm");
my $img3 = $mw->Bitmap(-file => "$PicDir/line.xbm");

$mw->title("example 1");
$mw->Scrolled("Text", -height => 8, -width => 40
             )->pack(-side => "bottom", 
                     -expand => 1, -fill => 'both');
my $f = $mw->Frame(-relief => "ridge", -borderwidth => 2
                  )->pack(-side => "top", -anchor => "n", 
                          -expand => 1, -fill => "x");
my $f1 = $mw->Frame(-relief => "ridge"
                  )->pack(-side => "top", -anchor => "n", 
                          -expand => 1, -fill => "x");
foreach (qw/File Edit View ?/) {
    push (@menus, $f->Menubutton(-text => $_));
}
$menus[3]->pack(-side => "right");
$menus[0]->pack(-side => "left");
$menus[1]->pack(-side => "left");
$menus[2]->pack(-side => "left");

my $sub = $menus[3]->Menu(-tearoff => 0, -menuitems => [
                     [ 'command' => "Quick" ], 
                     [ 'command' => 'Context' ]]);
$menus[3]->configure(-menu => $sub);

$sub = $menus[0]->Menu(-tearoff => 0, -menuitems => [
                     [ 'command' => "Load" ], 
                     [ 'command' => 'Save' ],
                     [ 'command' => 'Save as' ],
                     [ 'command' => 'Print' ],
                     '-',
                     [ 'command' => 'Exit' , -command => sub {exit;}] ]);
$menus[0]->configure(-menu => $sub);

$sub = $menus[1]->Menu(-tearoff => 0, -menuitems => [
                     [ 'command' => "cut" ], 
                     [ 'command' => 'copy' ],
                     [ 'command' => 'paste' ],
                     [ 'command' => 'cancel' ] ]);
$menus[1]->configure(-menu => $sub);

$sub = $menus[2]->Menu(-tearoff => 0, -menuitems => [
                     [ 'command' => "portrait" ], 
                     [ 'command' => 'landscape' ],
                     [ 'command' => 'refresh' ] ]);
$menus[2]->configure(-menu => $sub);

my $sym1 = $f1->Menubutton(-image => $img1, -menuitems => [ 
            ['command' => "Draw rectangle" ] ])->pack(-side => "left");
$sym1->bind("<Enter>", sub { $sym1->Popup(-popover => 'cursor') });

MainLoop;



