#!/usr/local/bin/perl -w
use strict; use Tk;

my $main = new MainWindow;
my $mb = $main->Menubutton(-text => "File", -tearoff => 0,
            -menuitems => [ 
               ['command' => "Open", -command => \&do_open],
               ['command' => "Save", -command => \&do_save],
               ['command' => "Close", -command => \&do_something ],
                            "-",
               ['command' => "Exit", -command => sub { exit } ]
                          ])->pack();
my $unsaved = 0;
$mb->menu()->configure(-postcommand => \&update_menu);
MainLoop;

sub do_open { 
   $unsaved = 1; # and so on 
}
sub do_save { 
   $unsaved = 0; # and so on 
}
sub do_something { print ":-)\n"; }

sub update_menu {
  if ($unsaved) {
     $mb->menu->entryconfigure(1, -state => "normal");
  } else {
     $mb->menu->entryconfigure(1, -state => "disabled");
  }
}
