#!/usr/local/bin/perl -w
use strict; use Tk;

my $main = new MainWindow;
my $menu = $main->Menu(-tearoff => 0,
                   -menuitems => [ ['command' => "Item 1",
                                    -label => "Donald" ],
                                   ['command' => "Item 2" ],
                                   ['command' => "Item 3" ]
                                 ]
                             );
my $choice = $main->Button(-text => "Choice")->pack();
$choice->bind("<Button-3>", 
              sub { $menu->Popup(-popover => 'cursor', 
                                 -popanchor => "nw");
                    $menu->entryconfigure("Donald", -foreground, "blue",
                                          -label, "Duck"); 
                    my $name = $menu->entrycget(0, -label);
                    print "Das Label vom obersten Item ist $name\n"; 
                    $name = $menu->entrycget(0, -foreground);
                    print "Die Farbe vom obersten Item ist $name\n"; 
                    my @all = $menu->entryconfigure(0);
                    foreach my $listp (@all) { 
                       foreach (@$listp) { print "$_ | " if (defined $_);}
                       print "\n";
                    }
                   });
           
$main->Button(-text => "Exit", -command => sub {exit;})->pack();
MainLoop;
