#!/usr/local/bin/perl -w
use strict; use Tk;

my $mw = new MainWindow;
my $mb = $mw->Menubutton(-text => "Menubutton",
                   -indicatoron => 1,
                   -menuitems => [ 
          ['command' => "Item 1", -command => [\&print, 1], 
           -accelerator => "Alt+1"],
          ['command' => "Item 2", -command => [\&print, 2],
           -accelerator => "Alt+2"], 
                                 '-',
          ['command' => "Item 3", -command => [\&print, 4],
           -accelerator => "Alt+3"] 
                                 ]
                         )->pack();
$mw->Button(-text => "Exit", 
            -command => sub {exit;})->pack(-fill => "x");

$mb->menu->bind("<Alt-Key-1>", sub { $mb->menu->invoke(1); });
$mb->menu->bind("<Alt-Key-2>", sub { $mb->menu->invoke(2); });
$mb->menu->bind("<Alt-Key-3>", sub { $mb->menu->invoke(4); });
MainLoop;

sub print {
  my $y = $_[0]; my $str = $mb->entrycget($y, -label);
  print "$str\n";
}
